Bug 734094 - kickstart: bootloader --timeout is ignored
Summary: kickstart: bootloader --timeout is ignored
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 12:50 UTC by Kamil Páral
Modified: 2014-09-30 23:40 UTC (History)
5 users (show)

Fixed In Version: anaconda-16.17-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-02 11:58:05 UTC


Attachments (Terms of Use)
original kickstart (1.05 KB, text/plain)
2011-08-29 12:51 UTC, Kamil Páral
no flags Details
anaconda-ks.cfg (918 bytes, text/plain)
2011-08-29 12:51 UTC, Kamil Páral
no flags Details
install.log (21.03 KB, text/plain)
2011-08-29 12:51 UTC, Kamil Páral
no flags Details
install.log.syslog (5.67 KB, text/plain)
2011-08-29 12:52 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2011-08-29 12:50:52 UTC
Description of problem:
I used this option in my kickstart:
bootloader --append="console=ttyS0" --timeout=0

In the installed system there is a 20 second bootloader timeout. /root/anaconda-ks.cfg contains:
bootloader --location=mbr --append="rhgb quiet console=ttyS0"

The --timeout option was ignored and disappeared.

Version-Release number of selected component (if applicable):
anaconda-16.14.6

How reproducible:
two times out of two attempts

Steps to Reproduce:
1. use bootloader --timeout=0
2.
3.

Comment 1 Kamil Páral 2011-08-29 12:51:15 UTC
Created attachment 520380 [details]
original kickstart

Comment 2 Kamil Páral 2011-08-29 12:51:35 UTC
Created attachment 520381 [details]
anaconda-ks.cfg

Comment 3 Kamil Páral 2011-08-29 12:51:49 UTC
Created attachment 520382 [details]
install.log

Comment 4 Kamil Páral 2011-08-29 12:52:05 UTC
Created attachment 520383 [details]
install.log.syslog

Comment 5 Ales Kozumplik 2011-08-30 11:26:54 UTC
Hi Kamil,

can you please retest with updates=http://akozumpl.fedorapeople.org/bz734094.img ?

Thanks,
Ales

Comment 6 Kamil Páral 2011-08-30 13:08:57 UTC
The update fixes the bug, great.

Comment 7 Ales Kozumplik 2011-08-30 14:32:26 UTC
Fixed by 79b71052899b4940426a65217cab5b2f536b32fb on f16-branch and c12838c170040e035864e079de45c544dd7d8e7a on master.

Comment 8 Kamil Páral 2012-03-02 11:58:05 UTC
Confirmed fixed in F17 Alpha.


Note You need to log in before you can comment on or make changes to this bug.